Subject: bug#56025: 29.0.50; em-extpipe-test-2 times out on EMBA and Cygwin

From: Jim Porter <[email-masked]>
Date: Wed, 6 Jul 2022 21:42:23 -0700

On 7/6/2022 9:35 PM, Jim Porter wrote:
> Maybe it would be good to do it this way in general though, since this 
> would let us completely avoid the behavioral differences of EOF on 
> various platforms. I believe using a pipe should work consistently 
> everywhere, right? (It would also probably fix some other issues with 
> Eshell pipelines, but I'll need to read up on ptys, since it's been a 
> long time since I've done anything with them.)

Just to clarify: by "do it this way in general", I only mean using a 
pipe when connecting commands in Eshell via "|", not using 
`eshell-needs-pipe'. This would necessitate enhancing `make-process' and 
friends to support what I described elsewhere.